<script setup lang="ts">
import { useMngStore } from "../../stores/manageTable";
import { useTableStore } from "@/stores/Table/tables";
import { mdiMagnify, mdiPencil, mdiDelete, mdiPlus } from "@mdi/js";
import { onMounted, ref } from "vue";
import ConfirmDialog from "@/components/Dialog/ConfirmDialog.vue";
import TableDialog from "@/components/Table/TableDialog.vue";
// const manageTable = useMngStore();

const manageTable = useTableStore();
const confirmDlg = ref();

onMounted(async () => {
  await manageTable.getTables();
});

const deleteTable = async (id: number, name: number) => {
  try {
    await confirmDlg.value.openDialog(
      "Please Confirm",
      `คุณต้องการลบ " โต๊ะ ${name} " หรือไม่`
    );
    manageTable.deleteTable(id);
  } catch (e) {
    /* empty */
  }
};
</script>

<template>
  <v-row>
    <v-col>
      <v-text-field
        label="Search"
        placeholder="employee"
        variant="underlined"
      ></v-text-field>
    </v-col>
    <v-col>
      <v-btn
        style="float: left"
        color="black"
        variant="outlined"
        :prepend-icon="mdiMagnify"
        >Search</v-btn
      >
      <v-btn
        style="float: right; margin-right: 10px"
        color="black"
        variant="outlined"
        :prepend-icon="mdiPlus"
        @click="manageTable.dialog = true"
        >เพิ่ม</v-btn
      >
    </v-col>
  </v-row>
  <v-toolbar color="#DED4F7">
    <v-row class="justify-center">
      <div class="text-h4">ManageTable</div>
    </v-row>
  </v-toolbar>
  <v-table>
    <thead>
      <tr>
        <th>ID</th>
        <th>Number</th>
        <th>Seats</th>
        <th>Status</th>
        <th></th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item of manageTable.tables" :key="item.id">
        <td>{{ item.id }}</td>
        <td>โต๊ะ {{ item.number }}</td>
        <td>{{ item.seats }}</td>
        <td>{{ item.status }}</td>
        <td>
          <v-btn
            style="float: right; margin-right: 10px"
            color="black"
            variant="outlined"
            :prepend-icon="mdiPencil"
            @click="manageTable.editTable(item)"
            >แก้ไข</v-btn
          >
        </td>
        <td>
          <v-btn
            style="float: right; margin-right: 10px"
            color="black"
            variant="outlined"
            :prepend-icon="mdiDelete"
            @click="deleteTable(item.id!, item.number!)"
            >ลบ</v-btn
          >
        </td>
      </tr>
    </tbody>
  </v-table>
  <ConfirmDialog ref="confirmDlg"></ConfirmDialog>
  <TableDialog></TableDialog>
</template>

<style scoped></style>
